package com.goafanti.common.dao;

import java.util.List;
import java.util.Set;

import com.goafanti.common.model.Role;
import com.goafanti.permission.bo.RolePermissionBo;

public interface RoleMapper {
    int deleteByPrimaryKey(String id);

    int insert(Role record);

    int insertSelective(Role record);

    Role selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Role record);

    int updateByPrimaryKey(Role record);

	Set<String> findRoleByUserId(String userId);

	List<Role> selectByAid(String userId);

	List<RolePermissionBo> findRolePermissions();

	int insertBatch(List<Role> records);

	int deleteByPrimaryKeys(List<String> records);

	List<RolePermissionBo> findRolePermissionsExceptAreaManager();

	List<Role> selectByIdList(List<String> list);

	List<RolePermissionBo> selectRolePList(String id);

	int selectCountByRoleId(List<String> records);

	String selectIdByName(String roleName);

	String selectNameById(String id);

	String selectIdByNamei(Role role);
}
